Bug 779481 - Some of JBossESB quickstarts don't work in SOA-P 5.0
Some of JBossESB quickstarts don't work in SOA-P 5.0
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
Unspecified Unspecified
high Severity high
: ---
Assigned To: Default User
Depends On:
  Show dependency treegraph
Reported: 2010-01-22 03:27 EST by Denny Xu
Modified: 2012-07-13 00:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: SOA-1864
Last Closed: 2011-05-18 09:32:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Quickstart_helloworld.esb (6.15 KB, application/octet-stream)
2010-01-22 09:54 EST, Len DiMaggio
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-1864 None None None Never

  None (edit)
Description Denny Xu 2010-01-22 03:27:21 EST
++ This bug is a clone of bug 779480 ++

Date of First Response: 2010-01-22 09:54:42
project_key: SOA

I have downloaded SOA-P5.0 beta1 and jbossesb-server-4.7 and tried to run the "helloworld" quickstart,  it doesn't work for soa-p5 but work with jbossesb-server correctly.
Here is the steps:
At first,  I start jbossesb-server and run the "helloworld" quickstart using "ant deploy" and "ant sendesb" in jbossesb-server-4.7,  it works ,
second, I shutdown  jbossesb-server and start up SOA-P5.0 and copy the "helloworld" archive from jbossesb-server deploy directory into SOA-P deploy directory , then try to run the SendESBMessage by "ant sendesb", it doesn't work with following errors:
Exception in thread "main" org.jboss.soa.esb.listeners.message.MessageDeliverException: org.apache.ws.scout.transport.TransportException: java.lang.reflect.InvocationTargetException
	at org.jboss.soa.esb.client.ServiceInvoker.loadServiceClusterInfo(ServiceInvoker.java:545)
	at org.jboss.soa.esb.client.ServiceInvoker.<init>(ServiceInvoker.java:174)
	at org.jboss.soa.esb.client.ServiceInvoker.<init>(ServiceInvoker.java:155)
	at org.jboss.soa.esb.client.ServiceInvoker.<init>(ServiceInvoker.java:197)
	at org.jboss.soa.esb.samples.quickstart.helloworld.test.SendEsbMessage.main(SendEsbMessage.java:55)
Caused by: org.jboss.soa.esb.services.registry.RegistryException: org.apache.ws.scout.transport.TransportException: java.lang.reflect.InvocationTargetException
	at org.jboss.internal.soa.esb.services.registry.JAXRRegistryImpl.findEPRs(JAXRRegistryImpl.java:348)
	at org.jboss.internal.soa.esb.services.registry.InVMRegistryInterceptor.findEPRs(InVMRegistryInterceptor.java:85)
	at org.jboss.soa.esb.services.registry.RegistryFactory$HeadRegistryInterceptor.findEPRs(RegistryFactory.java:229)
	at org.jboss.soa.esb.listeners.RegistryUtil.getEprs(RegistryUtil.java:226)
	at org.jboss.soa.esb.client.ServiceInvoker.loadServiceClusterInfo(ServiceInvoker.java:532)
	... 4 more
Caused by: javax.xml.registry.JAXRException: org.apache.ws.scout.transport.TransportException: java.lang.reflect.InvocationTargetException
	at org.apache.ws.scout.registry.BusinessQueryManagerV3Impl.findConcepts(BusinessQueryManagerV3Impl.java:516)
	at org.jboss.internal.soa.esb.services.registry.JAXRRegistryImpl.getJBossESBTModel(JAXRRegistryImpl.java:653)
	at org.jboss.internal.soa.esb.services.registry.JAXRRegistryImpl.findEPRs(JAXRRegistryImpl.java:307)
	... 8 more

If I run SendJMSMessage client, soa-p5.0 works. is there any special configuration for ServiceInvoker to invoke ESB service?
Comment 1 Denny Xu 2010-01-22 03:29:00 EST
The version of SOA-P I used : http://porkchop.redhat.com/released/JBossSOAP/5.0.0/Beta1/
Comment 2 Len DiMaggio 2010-01-22 09:54:42 EST
I can't recreate this issue with an .esb build with ESB 4.7 GA and deployed to a SOA-P 5.0 ER7 server. Do you have any more information?

09:52:05,867 INFO  [QueueService] Queue[/queue/quickstart_helloworld_Request_esb] started, fullSize=200000, pageSize=2000, downCacheSize=2000
09:52:05,884 INFO  [QueueService] Queue[/queue/quickstart_helloworld_Request_gw] started, fullSize=200000, pageSize=2000, downCacheSize=2000
09:52:05,960 INFO  [EsbDeployment] Starting ESB Deployment 'Quickstart_helloworld.esb'
09:52:25,714 INFO  [STDOUT] &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
09:52:25,716 INFO  [STDOUT] Body: Hello World
09:52:25,716 INFO  [STDOUT] &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
09:52:25,717 INFO  [STDOUT] Message structure: 
09:52:25,717 INFO  [STDOUT] [Hello World].
09:52:44,493 INFO  [STDOUT] &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
09:52:44,497 INFO  [STDOUT] Body: Hello World - Straight to ESB listener - no Gateway
09:52:44,497 INFO  [STDOUT] &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
09:52:44,497 INFO  [STDOUT] Message structure: 
09:52:44,497 INFO  [STDOUT] [Hello World - Straight to ESB listener - no Gateway].
Comment 3 Len DiMaggio 2010-01-22 09:54:42 EST
Attachment: Added: Quickstart_helloworld.esb
Comment 4 Kevin Conner 2010-01-22 09:57:26 EST
Denny seems to be suffering from some environmental issues, see the following user forum thread.

Comment 5 Denny Xu 2010-01-25 04:39:00 EST
I tried it on Windows Vista, it works without errors, but still unable to run the test by "ant sendesb" using command line on Fedora 10.

btw, where can I download a SOA-P 5.0 ER7?  I would like to try other SOA-P 5.0 version.

Note You need to log in before you can comment on or make changes to this bug.